## Class TDummyDataSource

Description

Implements interfaces:

TDummyDataSource class

TDummyDataSource implements a dummy data collection with a specified number of dummy data items. The number of virtual items can be set via setCount property. You can traverse it using foreach PHP statement like the following,

     foreach($dummyDataSource as $dataItem)

- since: 3.0
- version: $Id: TDummyDataSource.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Collections/TDummyDataSource.php (line 29)

    TComponent
       |
       --TDummyDataSource

Method Summary
TDummyDataSource __construct (integer $count)
integer count ()
integer getCount ()
Iterator getIterator ()
Methods
Constructor __construct (line 37)

Constructor.

- access: public

TDummyDataSource __construct (integer $count)

- integer $count: number of (virtual) items in the data source.

count (line 63)

Returns the number of (virtual) items in the data source.

This method is required by Countable interface.

- return: number of (virtual) items in the data source.
- access: public

integer count ()
getCount (line 45)

- return: number of (virtual) items in the data source.
- access: public

integer getCount ()
getIterator (line 53)

- return: iterator
- access: public

Iterator getIterator ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:58 -0400 by phpDocumentor 1.3.0RC4